package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.auto.AutoSignRule;
import com.brilliance.isc.vo.collection.AutsigRulQueryVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface AutoSignRuleMapper {
    AutoSignRule selectOneByVo(@Param("vo") AutoSignRule autoSignRule);
    /**
     * 插入数据
     *
     * @param autoSignRule 入参
     * @return int 返回结果
     */
    int insert(@Param("vo") AutoSignRule autoSignRule);

    /**
     * 更新数据
     *
     * @param autoSignRule 入参
     * @return int 返回结果
     */
    int update(@Param("vo") AutoSignRule autoSignRule);
    
    AutoSignRule selectOneByInr(@Param("inr") String inr);

    List<AutoSignRule> selectList(@Param("vo") AutsigRulQueryVo autsigRulQueryVo);

    int deleteByIds(List<String> inrList);

    int deleteBySigninfoinrs(List<String> inrList);

    int deleteByPrimaryKey(@Param("inr") String inr);

    int deleteBySigninfoinr(@Param("signinfoinr") String signinfoinr);
}
